% Example of the use of carlbl for loudspeaker A + filters

clear

% Expansion order
P=3;        

% Literal linear-analytic model
[f,g,h,x,names,values]=dloudAfiltA_lit;      

% State vector dimension
m=length(x);    

% Pre-calculated weights and matrices, which can be stored
wtylr = mtaylorweights(m,P);
[D,Dg,K]=precbsp(m,P);


% One set of parameter values
[F,G,b,c] = carlbl(f,g,h,x,names,values,P,1,wtylr,D,Dg,K);

% Twos sets of parameter values
val{1}=values;
val{2}=values;
[F2,G2,b2,c] = carlbl(f,g,h,x,names,val,P,1,wtylr,D,Dg,K);

