% Carleman Bilinearization
% filters + loudspeaker A

P=2;
arq='CB_Aitgr_P2';

% Literal linear-analytic model
[f,g,h,x,names,values]=dloudAitgr_lit;      

% State vector dimension
m=length(x);    

% Pre-calculated weights and matrices, which can be stored
wtylr = mtaylorweights(m,
P);
[D,Dg,K]=precbsp(m,
P);

[F,G,b,c] = carlbl(f,g,h,x,names,values,
P,1,wtylr,D,Dg,K);

eval(['%save ../../../mat/' arq '.mat F G c b']);
