function mydx = diffloudAzoh(t,x)

% Differential equation for device defined in loudA_com with ZOH D/A 

global P0 PP

% ZOH
k = fix(t*P0.fs)+1;
uv=P0.u;
uf = PP.s * uv(k);


x01 = x(1);
x02 = x(2);
x03 = x(3);

mydx = zeros(3,1);

% Device
loudA_com
