/* Replaces occurences of x?? by 0
   Based on revord.c
 
 
   CBVK Toolbox
   JHMG, PMSB 2016

*/

#include "mex.h"

void subsx(char *input_buf, size_t buflen, char *output_buf)
{
  mwSize i;
  char c;

  if (buflen == 0) return;

  /* Jumps "matrix..."*/
 for(i=0;i<9;i++) 
    *(output_buf+i) = *(input_buf+i);

 
 for(i=9;i<buflen;i++){
   if ((c = *(input_buf+i)) != 'x')
    *(output_buf+i) = c;
   else{
     *(output_buf+i)='0';
     /* Jumps ??  */
     input_buf++;
     input_buf++;
   }
 }
  *(output_buf+buflen) = '\0';  
}

void mexFunction( int nlhs, mxArray *plhs[],
                  int nrhs, const mxArray *prhs[])
{
    char *input_buf, *output_buf;
    size_t buflen;

    char output[10000];
    
    
    /* get the length of the input string */
    buflen = (mxGetM(prhs[0]) * mxGetN(prhs[0])) + 1;

    /* allocate memory for output string */
    output_buf=mxCalloc(buflen, sizeof(char)); 
    /* output_buf = output; */

    /* copy the string data from prhs[0] into a C string input_ buf. */
    input_buf = mxArrayToString(prhs[0]);
    
    subsx(input_buf, buflen, output_buf);

    /* set C-style string output_buf to MATLAB mexFunction output*/
    plhs[0] = mxCreateString(output_buf);
    /* mxFree(input_buf); */
    return;
}

